<?php
global $showcase_text;
global $showcase_subtext;
global $font_body;
global $theme_primary_color;
global $theme_secondary_color;
global $header_widget_visibility;
global $header_widget_bg;
global $header_title_font_size;

$theme_primary_color=esc_attr(get_theme_mod('primary_color','#5a5560'));
$theme_secondary_color=esc_attr(get_theme_mod('secondary_color','#FAED26'));
$showcase_text=get_theme_mod('blogname',get_bloginfo( 'name' ));
$showcase_subtext=get_theme_mod('blogdescription',get_bloginfo( 'description' ));
$font_body=esc_attr(get_theme_mod('theme_font','Hind:300,regular,500,600,700'));
$font_body=explode(":",$font_body);
$font_body=$font_body[0];
$body_background_color=esc_attr(get_background_color());
$header_widget_visibility=get_theme_mod('default_header_visibility', 0);
$header_widget_bg=get_theme_mod('header_widget_bg','#FFFFFF');
$header_title_font_size=esc_attr(get_theme_mod('header_title_font_size','40px'));
$header_tag_font_size=esc_attr(get_theme_mod('header_title_font_size','18px'));
$header_tag_top_margin=esc_attr(get_theme_mod('header_tag_top_margin','10px'));

?>


<style>
body{

  font-family: <?php echo "'".$font_body."'"; ?> ;
  background-color: <?php echo $body_background_color; ?>;

}


a{
  color: <?php echo $theme_primary_color;?>;
  opacity: 0.5;
}

a:hover,a:focus{
    color:<?php echo $theme_secondary_color?>;
    text-decoration: none;
    opacity:1;
    -webkit-transition:color 320ms ease;
    -moz-transition:color 320ms ease;
    -ms-transition:color 320ms ease;
    -o-transition:color 320ms ease;
    transition:color 320ms ease;
  }
.eroshik_savp_load_more{
  color:<?php echo $theme_secondary_color?>;
}
.eroshik_savp_load_more:hover,.eroshik_savp_load_more:focus{
  color:#fff;
}
.entry_footer{
   border-bottom:2px solid <?php echo $theme_secondary_color;?>;
}
.sticky::before {
    border-right: 40px solid <?php echo $theme_primary_color;?>;
}
.enty_footer a{
  color:  <?php echo $theme_secondary_color ;?>;
}
.breadcrumb>.active{
  color:<?php echo $theme_secondary_color ;?>;
}
.breadcrumb>li>a{
  color:<?php echo $theme_secondary_color ;?>;

}
.seperator_line {
  background-color: <?php echo $theme_secondary_color ;?>;
}
h1,h2,h3,h4,h5,h6{
      color:<?php echo $theme_primary_color;?>;
}


th{
  padding: 0.3em;
  border: 1px solid <?php echo $theme_secondary_color;?>;
  background: <?php echo $theme_secondary_color;?>;
}
td{
  padding: 0.3em;
  border: 1px solid <?php echo $theme_secondary_color;?>;
}

blockquote{
    border-left: 10px solid <?php echo $theme_secondary_color;?>;
}

li::before{
      color:  <?php echo $theme_primary_color; ?>;
    }
button,
  	input[type="button"],
  	input[type="reset"],
  	input[type="submit"]{

    background: <?php echo $theme_secondary_color; ?>;
    color: <?php echo $theme_primary_color; ?>;
    box-shadow: inset 0 0 0 rgba(0,0,0,.15);

}

.form-control:focus {
    border-color: <?php echo $theme_secondary_color; ?>;
    outline: 0;
    border-radius: 0px;
    -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075), 0 0 8px rgba(102, 175, 233, .6);
    box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075), 0 0 8px <?php echo $theme_secondary_color; ?>;
}
.form-control{
  border-radius: 0px;
  border:0px;
}

.eroshik-page-top-widget-title h1, .eroshik-page-top-widget-title h2, .eroshik-page-top-widget-title h3, .eroshik-page-top-widget-title h4, .eroshik-page-top-widget-title h5, .eroshik-page-top-widget-title h6, .entry-content h1, .entry-content h2, .entry-content h3, .entry-content h4, .entry-content h5, .entry-content h6, .eroshik-widget-title {
 word-wrap: break-word;
 line-height: 40px;
 margin: 1em 0 .6em 0;
 font-weight: normal;
 position: relative;
}

.eroshik-page-top-widget-title h1:before, .eroshik-page-top-widget-title h2:before, .eroshik-page-top-widget-title h3:before, .eroshik-page-top-widget-title h4:before, .eroshik-page-top-widget-title h5:before, .eroshik-page-top-widget-title h6:before, .entry-content h1:before, .entry-content h2:before, .entry-content h3:before, .entry-content h4:before, .entry-content h5:before, .entry-content h6:before, .eroshik-widget-title:before {
 background-color: <?php echo $theme_secondary_color; ?>;
}


#search_button{
    background: <?php echo $theme_secondary_color; ?> url(<?php echo esc_url(get_template_directory_uri()  .'/images/search.png') ?> ) center no-repeat;

}
#search_text{
  background: <?php echo $theme_secondary_color; ?>;
  color:<?php echo  $theme_primary_color; ?>;
}
.navbar-nav > .active>a{
  color:<?php echo esc_attr(get_theme_mod('menu_color_active','#02acac'));?>;
}
.navbar-nav >  li > ul:before {
  border-bottom: 8px solid <?php echo esc_attr(get_theme_mod('menu_color_active','#02acac'));?>;
}


.navbar-nav >li >ul>li>a{
    border-top: solid 1px  <?php echo esc_attr(get_theme_mod('menu_color_active','#02acac'));?>;
}
.navbar-nav >li > ul>li>ul>li>a{
  border-top: solid 1px  <?php echo esc_attr(get_theme_mod('menu_color_active','#02acac'));?>;
}
.navbar-nav >li >ul>li>a{
  color: <?php echo esc_attr(get_theme_mod('menu_color','#5a5560'));?>;
}

.navbar-nav >li > ul>li>ul>li>a{
    color: <?php echo esc_attr(get_theme_mod('menu_color','#5a5560'));?>;
}

<?php
if($header_widget_visibility==1){?>
    .header_styles{
      margin:0 !important;
    }
<?php }
?>
.site_title{
  font-size:<?php echo $header_title_font_size; ?>;
}
.site_tagline{
  font-size:<?php echo $header_tag_font_size; ?>;
  margin-top:<?php echo  $header_tag_top_margin; ?>;
}
</style>
